#include <stdio.h>
#include <stdlib.h>

int main()
{
    float d,e,f,g,h,j,k,l,m,o,p,q,r;
    int i,n,a,b,c;
    i=0;
    scanf("%f%f%f%f%f",&p,&q,&r,&l,&m);
    for(n=l;n<=m;n++)
    {
        a=(int)n/p;
        b=(int)n/r;
        c=(int)n/q;
        d=n/p;
        e=n/q;
        f=n/r;
        if(a!=d)
        {
            a+=1;
        }
        if(b!=f)
        {
            b+=1;
        }
        if(c!=e)
        {
            c+=1;
        }
        if(n==a+b+c)
        {
            i++;
        }
    }
    printf("%d",i);
}